Bug 108096 - /etc/rc.d/init.d/ntp refers to OLD iptables/firewall name
/etc/rc.d/init.d/ntp refers to OLD iptables/firewall name
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-10-27 12:16 EST by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.2.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-28 05:15:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2003-10-27 12:16:05 EST
Description of problem:

The start/stop script for ntp refers to the old iptables name
(RH-Lokkit-0-50-INPUT) rather than the new iptables name (RH-Firewall-1-INPUT).
Comment 1 Harald Hoyer 2003-10-28 05:15:15 EST
Comment 2 Vadim Nasardinov 2004-01-24 18:02:16 EST
I'm upgrading my Red Hat Linux 8.0 box to Fedora Core 1.  I don't know
if this has been fixed already or not, but ifup-post has the same problem:

$ cat -n /etc/sysconfig/network-scripts/ifup-post | grep Lokkit
    77        iptables -L -n 2>/dev/null | grep -q RH-Lokkit-0-50-INPUT ; then
    81                          if ! iptables -L RH-Lokkit-0-50-INPUT -n | grep -q "$nameserver.* --sport 53 " ; then
    82                                  iptables -I RH-Lokkit-0-50-INPUT -m udp -s $nameserver/32 --sport 53 -d 0/0 --dport 1025:65535 -p udp -j ACCEPT
Comment 3 Harald Hoyer 2004-01-26 04:30:02 EST
created new bug #114278 for the last comment

Note You need to log in before you can comment on or make changes to this bug.